rpmbuild.h File Reference
Build API.

This is the *only* module users of librpmbuild should need to include. More...

`#include <rpm/rpmcli.h>`
`#include <rpm/rpmds.h>`
`#include <rpm/rpmspec.h>`
Include dependency graph for rpmbuild.h:

Go to the source code of this file.

## Data Structures

struct | rpmBuildArguments_s
| Describe build request. More...

## Typedefs

typedef rpmFlags | rpmBuildFlags
typedef rpmFlags | rpmBuildPkgFlags
typedef struct rpmBuildArguments_s * | BTA_t

## Enumerations

enum

rpmBuildFlags_e {
RPMBUILD_NONE = 0, RPMBUILD_PREP = (1 << 0), RPMBUILD_BUILD = (1 << 1), RPMBUILD_INSTALL = (1 << 2),
RPMBUILD_CHECK = (1 << 3), RPMBUILD_CLEAN = (1 << 4), RPMBUILD_FILECHECK = (1 << 5), RPMBUILD_PACKAGESOURCE = (1 << 6),
RPMBUILD_PACKAGEBINARY = (1 << 7), RPMBUILD_RMSOURCE = (1 << 8), RPMBUILD_RMBUILD = (1 << 9), RPMBUILD_STRINGBUF = (1 << 10),
RPMBUILD_RMSPEC = (1 << 11), RPMBUILD_NOBUILD = (1 << 31)
}

| Bit(s) to control rpmSpecBuild() operation. More...
enum | rpmBuildPkgFlags_e { RPMBUILD_PKG_NONE = 0, RPMBUILD_PKG_NODIRTOKENS = (1 << 0) }
| Bit(s) to control package generation. More...

## Functions

rpmSpec | rpmSpecParse (const char *specFile, rpmSpecFlags flags, const char *buildRoot)
| Parse spec file into spec control structure.
Header | rpmSpecSourceHeader (rpmSpec spec)
| Return the headers of the SRPM that would be built from the spec file.
rpmps | rpmSpecCheckDeps (rpmts ts, rpmSpec spec)
| Verify build depencies of a spec against.
rpmds | rpmSpecDS (rpmSpec spec, rpmTagVal tag)
| Retrieve build dependency set from spec.
rpmRC | rpmSpecBuild (rpmSpec spec, BTA_t buildArgs)
| Spec build stages state machine driver.

## Detailed Description

This is the *only* module users of librpmbuild should need to include.

Definition in file rpmbuild.h.

## Typedef Documentation

typedef rpmFlags rpmBuildFlags

Definition at line 38 of file rpmbuild.h.

typedef rpmFlags rpmBuildPkgFlags

Definition at line 48 of file rpmbuild.h.